<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:32 CEST 2019 -->
<title>InternalTransactionCoordinator.AbstractTransactionCoordinator (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="InternalTransactionCoordinator.AbstractTransactionCoordinator (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":10,"i2":10,"i3":10,"i4":10,"i5":6,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html" target="_top">Frames</a></li>
<li><a href="InternalTransactionCoordinator.AbstractTransactionCoordinator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Class InternalTransactionCoordinator.AbstractTransactionCoordinator" class="title">Class InternalTransactionCoordinator.AbstractTransactionCoordinator</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jdbc.InternalTransactionCoordinator.AbstractTransactionCoordinator</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.BlobListener</a>, <a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.StatementListener</a></dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.html" title="class in org.firebirdsql.jdbc">InternalTransactionCoordinator</a></dd>
</dl>
<hr>
<br>
<pre>public abstract static class <span class="typeNameLabel">InternalTransactionCoordinator.AbstractTransactionCoordinator</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.StatementListener</a>, <a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.BlobListener</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html#connection">connection</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../org/firebirdsql/jca/FirebirdLocalTransaction.html" title="interface in org.firebirdsql.jca">FirebirdLocalTransaction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html#localTransaction">localTransaction</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../org/firebirdsql/jdbc/FBStatement.html" title="class in org.firebirdsql.jdbc">FBStatement</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html#statements">statements</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html#AbstractTransactionCoordinator-org.firebirdsql.jdbc.FBConnection-org.firebirdsql.jca.FirebirdLocalTransaction-">AbstractTransactionCoordinator</a></span>(<a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;connection,
                              <a href="../../../org/firebirdsql/jca/FirebirdLocalTransaction.html" title="interface in org.firebirdsql.jca">FirebirdLocalTransaction</a>&nbsp;localTransaction)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html#commit--">commit</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html#completeStatements-org.firebirdsql.jdbc.CompletionReason-">completeStatements</a></span>(<a href="../../../org/firebirdsql/jdbc/CompletionReason.html" title="enum in org.firebirdsql.jdbc">CompletionReason</a>&nbsp;reason)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html#ensureTransaction--">ensureTransaction</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html#getConnection--">getConnection</a></span>()</code>
<div class="block">Get the connection which owns this coordinator.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../org/firebirdsql/jdbc/FBStatement.html" title="class in org.firebirdsql.jdbc">FBStatement</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html#getStatements--">getStatements</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html#rollback--">rollback</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html#setStatements-java.util.Collection-">setStatements</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../org/firebirdsql/jdbc/FBStatement.html" title="class in org.firebirdsql.jdbc">FBStatement</a>&gt;&nbsp;statements)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.jdbc.FBObjectListener.StatementListener">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.StatementListener</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html#executionStarted-org.firebirdsql.jdbc.FBStatement-">executionStarted</a>, <a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html#statementClosed-org.firebirdsql.jdbc.FBStatement-">statementClosed</a>, <a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html#statementCompleted-org.firebirdsql.jdbc.FBStatement-">statementCompleted</a>, <a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html#statementCompleted-org.firebirdsql.jdbc.FBStatement-boolean-">statementCompleted</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.jdbc.FBObjectListener.BlobListener">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.BlobListener</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html#executionCompleted-org.firebirdsql.jdbc.FirebirdBlob-">executionCompleted</a>, <a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html#executionStarted-org.firebirdsql.jdbc.FirebirdBlob-">executionStarted</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="localTransaction">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>localTransaction</h4>
<pre>protected final&nbsp;<a href="../../../org/firebirdsql/jca/FirebirdLocalTransaction.html" title="interface in org.firebirdsql.jca">FirebirdLocalTransaction</a> localTransaction</pre>
</li>
</ul>
<a name="connection">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connection</h4>
<pre>protected final&nbsp;<a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a> connection</pre>
</li>
</ul>
<a name="statements">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>statements</h4>
<pre>protected final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../org/firebirdsql/jdbc/FBStatement.html" title="class in org.firebirdsql.jdbc">FBStatement</a>&gt; statements</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractTransactionCoordinator-org.firebirdsql.jdbc.FBConnection-org.firebirdsql.jca.FirebirdLocalTransaction-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractTransactionCoordinator</h4>
<pre>protected&nbsp;AbstractTransactionCoordinator(<a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;connection,
                                         <a href="../../../org/firebirdsql/jca/FirebirdLocalTransaction.html" title="interface in org.firebirdsql.jca">FirebirdLocalTransaction</a>&nbsp;localTransaction)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getConnection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnection</h4>
<pre>public final&nbsp;<a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;getConnection()
                                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get the connection which owns this coordinator.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html#getConnection--">getConnection</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.StatementListener</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc"><code>FBConnection</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if something went wrong.</dd>
</dl>
</li>
</ul>
<a name="getStatements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatements</h4>
<pre>protected final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../org/firebirdsql/jdbc/FBStatement.html" title="class in org.firebirdsql.jdbc">FBStatement</a>&gt;&nbsp;getStatements()</pre>
</li>
</ul>
<a name="setStatements-java.util.Collection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStatements</h4>
<pre>protected final&nbsp;void&nbsp;setStatements(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../org/firebirdsql/jdbc/FBStatement.html" title="class in org.firebirdsql.jdbc">FBStatement</a>&gt;&nbsp;statements)</pre>
</li>
</ul>
<a name="completeStatements-org.firebirdsql.jdbc.CompletionReason-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>completeStatements</h4>
<pre>protected&nbsp;void&nbsp;completeStatements(<a href="../../../org/firebirdsql/jdbc/CompletionReason.html" title="enum in org.firebirdsql.jdbc">CompletionReason</a>&nbsp;reason)
                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="ensureTransaction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ensureTransaction</h4>
<pre>public&nbsp;void&nbsp;ensureTransaction()
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="commit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>commit</h4>
<pre>public abstract&nbsp;void&nbsp;commit()
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="rollback--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>rollback</h4>
<pre>public abstract&nbsp;void&nbsp;rollback()
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html" target="_top">Frames</a></li>
<li><a href="InternalTransactionCoordinator.AbstractTransactionCoordinator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
